Sign inGet started

Members

GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
Parametry zapytania
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.type
string
wymagane
Possible values: user
results.status
string
wymagane
Possible values: active, invited, requested-to-join
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
Treść żądania
type
string
wymagane
Possible values: user
id
string
wymagane
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.type
string
wymagane
Possible values: user
results.status
string
wymagane
Possible values: active, invited, requested-to-join
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
Treść odpowiedzi
id
string
wymagane
type
string
wymagane
Possible values: user
status
string
wymagane
Possible values: active, invited, requested-to-join
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
Przykład kodu
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'